local TOCNAME,BOM=...
local L = setmetatable({}, {__index = function (t, k)  
	if BOM.L and BOM.L[k] then 
		return BOM.L[k]
	else
		return "["..k.."]"
	end	
end})

BOM.locales={
	enEN ={ --EN is Master/Fallback
		MsgBuffSingle="%s %s",
		MsgBuffGroup="Group %s %s",
		MsgNextCast="%s @ %s",
		MsgNoSpell="Out of Range or Mana",
		MsgDead="Dead",
		MsgBusy="Busy",
		MsgCombat="Combat",
		MsgEmpty="Nothing to do",
		MsgSomebodyDead="Somebody is dead",
		MsgNeedOneMacroSlot="Need one macro slot!",
		MsgLocalRestart="The setting is not transferred until after a restart (/reload)",
	
		Cboxshowminimapbutton="Show minimap button",
		CboxLockMinimapButton="Lock minimap button position",		
		CboxLockMinimapButtonDistance="Minimize minimap button distance",
		CboxAutoOpen="Automatic open/close",
		CboxDeathBlock="Don't cast group buffs, when somebody is dead",
		CboxNoGroupBuff="Don't use group buff",
		CboxSameZone="Only in same zone",
		CboxResGhost="Resurrect ghosts",
		CboxReplaceSingle="Replace single buff with group buffs",

		HeaderRenew="Renew before it expires (in Seconds)",
		EboxTime60="Duration <=60 sec:",
		EboxTime300="Duration <=5 min:",
		EboxTime600="Duration <=10 min:",
		EboxTime1800="Duration <=30 min:",
		EboxTime3600="Duration <=60 min:",
		EboxMinBuff="Number of buffs required to use a group buff",
		
		TTSelfCast="Cast on party/raid or only self",
		TTEnable="Enable/Disable spell",
		TTTarget="Force spell on current Target",
		TTSelectTarget="Select a raid/party member to enable this option",
		TTGroup="Group %d",
		
		TabBuff="Buff",
		TabSpells="Spells",
				
		BtnOpen="Open",
		BtnCancel="Cancel",
		BtnSettings="Settings",
		BtnSettingsSpells="Settings Spells",
		
		Header_TRACKING="Tracking",
		HeaderSupportedSpells="Supported Spells",
		HeaderWatchGroup="Watch in raid group",
		PanelAbout="About",
		HeaderInfo="Information",
		HeaderUsage="Usage",
		HeaderSlashCommand="Slash commands",
		HeaderCredits="Credits",
		HeaderCustomLocales="Localization",
		
		SlashSpellBook="Rescan spellbook",
		SlashUpdate="Update macro / list",
		SlashClose="Close BOM window",
		SlashReset="Reset BOM window",
		SlashOpen="Open BOM window",
		
		AboutInfo="Stamina! Int! Spirit! - Does that sound familiar? Buff'o'mat scan the party/raid-member for missing buffs and with a click it is casted. When three or more members are missing one buff the group-version is used. It also remembers you to activate a tracking like 'Find Herbs'.|n".. 
			"Also it will help you to resurrect players by choosing paladins, priests and shamans first. ",
			
		AboutUsage="You need a free macro-slot to use this addon. The main-window has two tabs 'Buff' and 'Spells'. Under 'Buff' you find all missing buffs and a cast button."..
			"Under 'Spells' you can configurate which spells should be monitored, if it should use the group version. Select if it should only cast an you or on all party members. Choose which buff should be active on which class. You can also ignore complete groups (for example in raid, when you should only cast int on group 7&8). You can also select here, that one buff should be active on the current target. For example as druid click on the main tank and in the 'Thorns'-section on the '-' (last symbol) - it will changed to a crosshair and now buff'o'mat remember you to keep the buff on the main tank."..
			"You have two options to Cast a buff from the missing-buff-list. The spell-button in the window or the Buff'o'mat-macro. You find it with the 'M'-Button in the 'titel bar' of the main window.|n"..
			"IMPORTANT: Buff'o'mat works only out of combat because Blizzard don't allow to change macros during combat. Additional you can't open or close the main window during combat!",
			
		AboutSlashCommand="",--<value> can be true, 1, enable, false, 0, disable. If <value> is omitted, the current status switches.",
				
	},
	
	deDE ={
		MsgBuffSingle="%s %s",
		MsgBuffGroup="Gruppe %s %s",
		MsgNextCast="%s @ %s",
		MsgNoSpell="Außer Reichweite oder kein Mana",
		MsgDead="Gestorben",
		MsgBusy="Beschäftigt",
		MsgCombat="Kampf",
		MsgEmpty="Nichts zu tun",
		MsgSomebodyDead="Irgendjemand ist tot",
		MsgNeedOneMacroSlot="Brauche Platz für ein Macro!",
		MsgLocalRestart="Die Lokalisierung wird erst nach einem Neustart übernommen (/reload)",
		
		Cboxshowminimapbutton="Minimap-Icon anzeigen",
		CboxLockMinimapButton="Minimap-Icon-Position sperren",		
		CboxLockMinimapButtonDistance="Minimap-Icon-Entfernung minimieren",
		CboxAutoOpen="Automatisches öffnen/schließen",
		CboxDeathBlock="Kein Gruppenbuff, wenn jemand tot ist",
		CboxNoGroupBuff="Kein Gruppenbuff benutzen",
		CboxSameZone="Nur wenn in der gleicher Zone",
		CboxResGhost="Freigelassene wiederbeleben",
		
		HeaderRenew="Vor dem auslaufen erneuern (in Sekunden)",
		EboxTime60="Dauer <=60 Sek:",
		EboxTime300="Dauer <=5 Min:",
		EboxTime600="Dauer <=10 Min:",
		EboxTime1800="Dauer <=30 Min:",
		EboxTime3600="Dauer <=60 Min:",
		EboxMinBuff="Anzahl der fehldenen Buffs für einen Gruppenbuff",
		
		TTSelfCast="Wirke auf Gruppe/Raid oder nur auf sich selbst",
		TTEnable="Buffüberwachung ein-/ausschalten",
		TTTarget="Buff dauerhaft auf Ziel halten",
		TTSelectTarget="Wähle ein Gruppenmitglied um diese Option zu aktivieren.",
		TTGroup="Gruppe %d",
		
		TabBuff="Buff",
		TabSpells="Zauber",
				
		BtnOpen="Öffnen",
		BtnCancel="Abbruch",
		BtnSettings="Einstellungen",
		BtnSettingsSpells="Einstellungen Zauber",
		
		Header_TRACKING="Suche",
		HeaderSupportedSpells="Unterstützte Zauber",
		HeaderWatchGroup="Im Raid Gruppe überwachen",
		PanelAbout="Über",
		HeaderInfo="Information",
		HeaderUsage="Benutzung",
		HeaderSlashCommand="Befehle",
		HeaderCredits="Credits",
		HeaderCustomLocales="Lokalisierung",
		
		SlashSpellBook="Zauberbuch neu einlesen",
		SlashUpdate="Update Macro / Liste",
		SlashClose="BOM-Fenster schließen",
		SlashReset="BOM-Fenster zurücksetzen",
		SlashOpen="BOM-Fenster öffnen",
		
		AboutInfo="Ausdauer! Int! Wille! - klingt das bekannt? Buff'o'mat überprüft alle Gruppen/Raid-Mitglieder auf fehlende Buffs und ermöglicht diese dann mit einen klick zu verteilen. Wenn drei oder mehr den gleichen Buff brauchen, wird die Gruppenversion benutzt. Es erinnert dich auch die Suche wie Kräutersuche wieder zu aktivieren.|n"..
			"Auch beim Wiederbeleben wird unterstützt, indem Paladine, Priester und Schamanen bevorzugt werden.",
		
		AboutUsage="Es wird ein freier Makro-Platz benötigt. Das Hauptfenster hat zwei Reiter 'Buff' und 'Zauber'. Unter 'Buff' findet man die fehlenden buffs und ein 'Zaubern'-Button.|n"..
			"Unter 'Zauber' findet man Einstellungen z.B.: Welche Zauber überwacht werden sollen, ob die Gruppen-Varianten erlaubt sind, ob der Zauber nur auf den Spieler oder alle erfolgen soll, welche Klassen diesen Zauber bekommen sollen. Zudem lassen sich die Gruppen einschränken, bspw. im Raid, wenn man nur Gruppe 7&8 mit Int buffen soll. Auch kann man hier Einstellen, dass das aktuelle Ziel immer einen bestimmten Buff bekommen soll. Bspw. kann ein Druide den Haupttank auswählen und in der Zeile von 'Dornen' auf das '-' klicken. Es sollte sich dann in ein Zielkreuz änden. Von nun an wird immer Dornen auf den Tank aufrecht gehalten.|n"..
			"Man hat zwei Möglichkeiten, einen Buff zu zaubern: Einmal der 'Zaubern'-Button in Hauptfenster oder das Buff'o'mat-Makro. Man findet es unter dem 'M'-Button in der Titelzeile des Fensters.|n"..
			"ACHTUNG: Aufgrund von Einschränkungen von Blizzard funktioniert Buff'o'mat nur außerhalb des Kampfes. Es kann auch bspw. das Hauptfenster nur außerhalb geöffnet und geschlossen werden!",
			
		AboutSlashCommand="",--"<value> kann true,1,enable,false,0,disable sein. Wird <value> weggelassen, schaltet der aktuelle Status um.",
		--AboutCredits="wellcat für die chinesische Übersetzung",
				
	},
	
	frFR ={
		MsgBuffSingle="%s %s",
		MsgBuffGroup="Groupe %s %s",
		MsgNextCast="%s @ %s",
		MsgNoSpell="Hors portée ou Mana",
		MsgDead="Mort",
		MsgBusy="Occupé",
		MsgCombat="En combat",
		MsgEmpty="Rien à faire",
		MsgSomebodyDead="Quelqu'un est mort",
		MsgNeedOneMacroSlot="Besoin d'un emplacement macro!",

		Cboxshowminimapbutton="Montrer bouton minimap",
		CboxLockMinimapButton="Verrouiller position bouton minimap",
		CboxLockMinimapButtonDistance="Distance minimale bouton minimap",
		CboxAutoOpen="Ouvrir/fermer automatiquement",
		CboxDeathBlock="Ne pas buff de groupe quand quelqu'un est mort",
		CboxNoGroupBuff="Ne pas utiliser les buffs de groupe",
		CboxSameZone="Uniquement dans la même zone",

		HeaderRenew="Renouveler avant expiration (en Secondes)",
		EboxTime60="Durée <=60 sec:",
		EboxTime300="Durée <=5 min:",
		EboxTime600="Durée <=10 min:",
		EboxTime1800="Durée <=30 min:",
		EboxTime3600="Durée <=60 min:",

		TTSelfCast="Buff groupe/raid ou uniquement sois-même",
		TTEnable="Activer/Désactiver sort",
		TTTarget="Forcer sort sur Cible actuelle",
		TTSelectTarget="Choisir un membre groupe/raid pour activer cette option",
		TTGroup="Groupe %d",

		TabBuff="Buff",
		TabSpells="Sorts",

		BtnOpen="Ouvrir",
		BtnCancel="Annuler",
		BtnSettings="Réglages",
		BtnSettingsSpells="Réglage sorts",

		Header_TRACKING="Pistage",
		HeaderSupportedSpells="Sorts supportés",
		HeaderWatchGroup="Groupe à surveiller en raid",
		PanelAbout="A propos",
		HeaderInfo="Information",
		HeaderUsage="Utilisation",
		HeaderSlashCommand="Commandes",
		HeaderCredits="Crédits",

		SlashSpellBook="Rescanner Grimoire",
		SlashUpdate="Mettre à jour macro / liste",
		SlashClose="Fermer fenêtre BOM",
		SlashReset="Réinitialiser fenêtre BOM",
		SlashOpen="Ouvrir fenêtre BOM",

		--AboutInfo="<dummy info>",
		--AboutUsage="<dummy usage>",
		AboutSlashCommand="<valeur> peut être true, 1, enable, false, 0, disable. Si <valeur> est omis, la valeur actuelle s'inverse.",
		--AboutCredits="wellcat pour la traduction Chinoise",
	},
	
	ruRU ={ 
		MsgBuffSingle="%s %s",
		MsgBuffGroup="Group %s %s",
		MsgNextCast="%s @ %s",
		MsgNoSpell="Вне диапазона или нет маны",
		MsgDead="Мертв",
		MsgBusy="Занятый",
		MsgCombat="В бою",
		MsgEmpty="Нечего делать",
		MsgSomebodyDead="Кто-то мертв",
		MsgNeedOneMacroSlot="Нужен один макрослот!",
		MsgLocalRestart="Настройки не переноситься до перезагрузки (/reload)",
	
		Cboxshowminimapbutton="Показать кнопку у миникарты",
		CboxLockMinimapButton="Блокировка положения кнопки у миникарты",	
		CboxLockMinimapButtonDistance="Открепить кнопку от миникарты",
		CboxAutoOpen="Автоматическое открытие/закрытие",
		CboxDeathBlock="Не применять групповые эффекты, когда кто-то мертв",
		CboxNoGroupBuff="Не применять групповой эффект",
		CboxSameZone="Только в той же зоне",
		CboxResGhost="Воскресить игроков",

		HeaderRenew="Продлить до истечения срока действия (в секундах)",
		EboxTime60="Продолжительность <=60 сек:",
		EboxTime300="Продолжительность <=5 мин:",
		EboxTime600="Продолжительность <=10 мин:",
		EboxTime1800="Продолжительность <=30 мин:",
		EboxTime3600="Продолжительность <=60 мин:",
		
		TTSelfCast="Применить на группу/рейд или только на себя",
		TTEnable="Вкл./откл. заклинание",
		TTTarget="Наложить заклинание на текущую цель",
		TTSelectTarget="Выберите участника рейда/группы, чтобы включить эту опцию",
		TTGroup="Группа %d",
		
		TabBuff="Эффекты",
		TabSpells="Заклинания",
				
		BtnOpen="Открыть",
		BtnCancel="Закрыть",
		BtnSettings="Настройки",
		BtnSettingsSpells="Настройки заклинаний",
		
		Header_TRACKING="Отслеживание",
		HeaderSupportedSpells="Поддерживаемые заклинания",
		HeaderWatchGroup="Смотреть в рейдовой группе",
		PanelAbout="Информация",
		HeaderInfo="Информация",
		HeaderUsage="Использование",
		HeaderSlashCommand="/ Команды",
		HeaderCredits="Авторы",
		HeaderCustomLocales="Перевод",
		
		SlashSpellBook="Повторное сканирование книги заклинаний",
		SlashUpdate="Обновить список макросов",
		SlashClose="Закрыть окно BOM",
		SlashReset="Сбросить окно BOM",
		SlashOpen="Открыть окно BOM",
		
		AboutInfo="Выносливость! Интеллект! Дух! - Это звучит знакомо? Buff'o'mat просканирует участников рейда/группы на отсутствие положительных эффектов и в одно мгновение примените их. Когда у троих или более участников отсутствует эффект, то будет использовано одно заклинание для всей группы. Он также запоминает активацию отслеживания для «Поиска травы».|n".. 
			"Он также поможет вам воскресить игроков, выбрав сначала паладинов, священников и шаманов. ",
			
		AboutUsage="Вам нужен свободный слот макроса, чтобы использовать это дополнение. Главное окно имеет две вкладки «Эффекты» и «Заклинания». В разделе «Эффектов» вы найдете все недостающие эффекты и кнопку применить."..
			"В разделе «Заклинания» вы можете настроить, какие заклинания следует контролировать или если он должен использовать групповую версию. Выберите, если он должен использовать только на вас или для всех участников группы. Выберите, какой эффект должен быть активен, для какого класса. Вы также можете игнорировать целые группы (например, в рейде, когда вы должны использовать только инт в группе 7 и 8). Вы также можете выбрать здесь, что один эффект должен быть активен на текущей цели. Например, как друид, нажмите на основного танка и выберете «Шипы« - или другой «-« (последний символ) - оно изменится на перекрестие, и теперь buff'o'mat помнит, что вы держите эффект на основном танке."..
			"У вас есть два варианта, чтобы применить эффект из списка пропущенных эффектов. Кнопка с заклинанием в окне или макрос Buff'o'mat. Вы найдете его с помощью кнопки «M» в «строке заголовка» главного окна.|n"..
			"ВАЖНо: Buff'o'mat работает только вне боя, потому что Blizzard не позволяет менять макросы во время боя. Кроме того, вы не можете открыть или закрыть главное окно во время боя!",
			
		AboutSlashCommand="",--<value> can be true, 1, enable, false, 0, disable. If <value> is omitted, the current status switches.",
	},
	
	zhCN ={  
		MsgBuffSingle="%s %s", 
		MsgBuffGroup="队伍 %s %s", 
		MsgNextCast="%s @ %s", 
		MsgNoSpell="超出距离或缺蓝", 
		MsgDead="死亡", 
		MsgBusy="繁忙中", 
		MsgCombat="战斗", 
		MsgEmpty="无事可做", 
		MsgSomebodyDead="有人死了", 
		MsgNeedOneMacroSlot="需要一个宏槽!", 
		MsgLocalRestart="重新启动后才能更新设置 (/reload)", 
		Cboxshowminimapbutton="显示小地图按钮", 
		CboxLockMinimapButton="锁定小地图按钮位置", 
		CboxLockMinimapButtonDistance="最小化小地图按钮距离", 
		CboxAutoOpen="自动 打开/取消", 
		CboxDeathBlock="当有人死了就不施放大Buffs", 
		CboxNoGroupBuff="不使用大Buff", 
		CboxSameZone="仅在某些区域", 
		CboxResGhost="复活",
		HeaderRenew="到期前续订（秒）", 
		EboxTime60="持续时间 <=60 秒:", 
		EboxTime300="持续时间 <=5 分:", 
		EboxTime600="持续时间 <=10 分:", 
		EboxTime1800="持续时间 <=30 分:", 
		EboxTime3600="持续时间 <=60 分:", 
		TTSelfCast="施放给小队/团队,或仅自己", 
		TTEnable="启用/禁用 法术", 
		TTTarget="对当前目标强制施法", 
		TTSelectTarget="选择一个团队/小队成员,启用这个选项", 
		TTGroup="队伍 %d", 
		TabBuff="Buff", 
		TabSpells="法术", 
		BtnOpen="打开", 
		BtnCancel="取消", 
		BtnSettings="设置", 
		BtnSettingsSpells="设置各个法术", 
		Header_TRACKING="跟踪中", 
		HeaderSupportedSpells="支持的法术", 
		HeaderWatchGroup="在团队中监视", 
		PanelAbout="关于", 
		HeaderInfo="信息", 
		HeaderUsage="用法", 
		HeaderSlashCommand="可用命令", 
		HeaderCredits="Credits", 
		HeaderCustomLocales="本地化", 
		SlashSpellBook="重新扫描法术书",
		SlashUpdate="更新宏/列表", 
		SlashClose="取消插件窗口", 
		SlashReset="重置插件窗口", 
		SlashOpen="打开插件窗口", 
		
		AboutInfo="Buff'o'mat将扫描团队成员是否丢失Buff，然后单击它就能施放和补充。当三个或更多成员丢失同一个buff时，会使用大buff。插件的另一个功能是你死后提醒你再次施放“寻找草药”或“寻找矿物。插件同样可以用于复活技能。当你点击宏时，它将复活你身边的人-优先级最高为萨满，圣骑士和牧师 ", 
		
		AboutUsage="你需要一个空闲的宏才能使用此插件. 主窗口有两个标签“Buff”和“法术”. 在“Buff”下你会找到所有缺失的Buff和一个施放按钮".. 
		"在“法术”下，你可以配置哪些法术应该被监控, 是否应该使用大buff版本。选择是只对你还是对所有队伍成员. 选择哪个buff应该在哪个职业上有效. 你也可以忽略完整的组（例如在raid中，当你被分配给7队和8队上智慧Buff时）你也可以在这里选择，一个buff应该在当前目标上激活。例如，当德鲁伊点击主坦克，在“荆棘术”部分点击“-”（最后一个符号）时，它会变成十字准星，现在插件将记住你要把buff施放给主坦克.".. 
		"你有两个选项可以从缺失的buff列表中选择一个去施放buff. 窗口中的法术按钮或插件的宏. 你可以在主窗口的“标题栏”上找到“M”按钮|n".. 
		"重要提示：插件只在脱战后起作用，因为暴雪不允许在战斗中更改宏. 另外，在战斗中不能打开或关闭主窗口!", 
		
		AboutSlashCommand="",--<value> can be true, 1, enable, false, 0, disable. If <value> is omitted, the current status switches.", 
		
		-- dont translate AboutCredits - It should always display the english one. 
		--AboutCredits="wellcat for the Chinese translation|nOlivBEL for the french translation", },
	},
	
	
}

BOM.L = BOM.locales[GetLocale()] or {}
setmetatable(BOM.L, {
	__index = BOM.locales["enEN"]
})
BOM.L.AboutCredits="wellcat for the Chinese translation|n"..
		"OlivBEL for the french translation|n"..
		"Arrogant_Dreamer for the russian translation|n"

function BOM.LocalizationInit()
	if buffOmatDB and buffOmatDB.CustomLocales  then
		for key,value in pairs(buffOmatDB.CustomLocales) do
			if value~=nil and value ~="" then
				print(key,value,BOM.L[key])
				BOM.L[key.."_org"]=BOM.L[key]
				BOM.L[key]=value
			end
		end
	end
end
